From 318c3530b49595661b7cc3f1f1973ccc746d99b6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 30 2020 07:50:05 +0000
Subject: [PATCH 763/2232] Handwrite Opt::default to prepare for default-true fields


---

diff --git a/gen/src/mod.rs b/gen/src/mod.rs
index 6a1354c..d21db06 100644
--- a/gen/src/mod.rs
+++ b/gen/src/mod.rs
@@ -32,7 +32,6 @@ use std::path::Path;
 /// let mut opt = Opt::default();
 /// opt.cxx_impl_annotations = Some(impl_annotations);
 /// ```
-#[derive(Default)]
 #[non_exhaustive]
 pub struct Opt {
     /// Any additional headers to #include. The cxxbridge tool does not parse or
@@ -55,6 +54,15 @@ pub struct GeneratedCode {
     pub implementation: Vec<u8>,
 }
 
+impl Default for Opt {
+    fn default() -> Self {
+        Opt {
+            include: Vec::new(),
+            cxx_impl_annotations: None,
+        }
+    }
+}
+
 pub(super) fn do_generate_bridge(path: &Path, opt: &Opt) -> Vec<u8> {
     let header = false;
     generate_from_path(path, opt, header)

